package com.ruoyi.web.controller.platform;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.MerchantUser;
import com.ruoyi.system.service.MerchantUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 * 商户信息Controller
 * 
 * @author liming
 * @date 2023-08-16
 */
@RestController
@RequestMapping("/platform/v1/merchantUser")
public class MerchantUserController extends BaseController {
    @Autowired
    private MerchantUserService merchantUserService;

    /**
     * 查询商户信息列表
     */
    @PreAuthorize("@ss.hasPermi('system:user:list')")
    @GetMapping("/list")
    public TableDataInfo list(MerchantUser merchantUser) {
        return null;
    }


    /**
     * 新增商户信息
     */
    @PreAuthorize("@ss.hasPermi('system:user:add')")
    @Log(title = "商户信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody MerchantUser merchantUser) {
        return null;
    }

}
